'use stric'

const express = require('express');
const UsuarioController = require('../../controllers/servicio/usuarioServicio');
const md_auth = require('../../middleware/authenticated');
const api = express.Router(); // esto sirve para crear las rutas

api.post('/autenticarUsuario',UsuarioController.autenticarUsuario);
api.get('/obtenerUsuario/:id', md_auth.ensureAuth, UsuarioController.obtenerUsuario); 

//gerenciamietno
api.get('/obtenerUsuarioLicencias/:id',UsuarioController.obtenerUsuarioLicencias);
api.get('/listarUsuariosActivosParaGerenciamiento', md_auth.ensureAuth, UsuarioController.listarUsuariosActivosParaGerenciamiento);
api.get('/listarAreas',md_auth.ensureAuth,UsuarioController.listarAreas);
api.get('/obtenerArea/:id',md_auth.ensureAuth,UsuarioController.obtenerArea);
api.get('/obtenerLicencia/:id',md_auth.ensureAuth,UsuarioController.obtenerLicencia);
api.get('/obtenerCorreosSupervisor/:id',md_auth.ensureAuth,UsuarioController.obtenerCorreosSupervisor);
api.get('/obtenerCorreosHSE',md_auth.ensureAuth,UsuarioController.obtenerCorreosHSE);
api.post('/obtenerNombresConductores',md_auth.ensureAuth, UsuarioController.obtenerNombresConductores);
api.post('/obtenerAreasMultiples',md_auth.ensureAuth, UsuarioController.obtenerAreasMultiples);
api.get('/obtenerCorreosGerencia',md_auth.ensureAuth,UsuarioController.obtenerCorreosGerencia);
api.put('/actualizarContrasenia/:id', md_auth.ensureAuth, UsuarioController.actualizarContrasenia);

//TARJETAS STOP
api.get('/listarUsuariosActivosTarjetas', md_auth.ensureAuth, UsuarioController.listarUsuariosActivosTarjetas);
module.exports = api;